﻿Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim emp As New Employee

    End Sub
End Class

''' <summary>
''' Represents a paid employee.
''' </summary>
''' <remarks></remarks>
Public Class Employee
    ''' <summary>
    ''' Schedule the Employee for work.
    ''' </summary>
    ''' <param name="days">
    ''' The days of the week that the <c>Employee</c> can work.
    ''' </param>
    ''' <exception cref="System.ArgumentException">
    ''' Thrown if <paramref name="days" /> 
    ''' contains invalid day numbers.
    ''' </exception>
    Public Sub Schedule(Optional ByVal days() As Integer = Nothing)

    End Sub

    ''' <summary>
    ''' Do one of the following:
    ''' <list type="bullet">
    ''' <item><description>Item 1</description></item>
    ''' <item><description>Item 2</description></item>
    ''' </list>
    ''' </summary>
    ''' <remarks></remarks>
    ''' <permission cref="System.Security.Permissions.DataProtectionPermission"></permission>
    ''' <permission cref="System.Security.PermissionSet"></permission>
    Public Sub Promote()

    End Sub

    ''' <summary>
    ''' Get the Employee's salary. <see cref="System.Console.WriteLine" /> for more information.
    ''' <seealso cref="FileTests.Employee.Schedule" />
    ''' </summary>
    ''' <returns>Returns the Employee's base salary.</returns>
    ''' <remarks></remarks>
    ''' <junk>Here's some junk.</junk>
    Public Function Salary() As Double

    End Function

    ''' <summary>
    ''' The employee's Level.
    ''' </summary>
    ''' <value>The employee's Level value.</value>
    ''' <remarks></remarks>
    Public Property Level() As Integer
        Get

        End Get
        Set(ByVal value As Integer)

        End Set
    End Property

End Class

Partial Public Class Employee

End Class

Partial Public Class Manager

End Class

Partial Public Class Manager

End Class
